Package relaxngcc.builder

## Class ScopeInfo.Action

- java.lang.Object
- - relaxngcc.builder.ScopeInfo.Action

- Enclosing class:
    ScopeInfo

      public final class ScopeInfo.Action
      extends java.lang.Object

  User-defined code fragment.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getCodeFragment()` |
    `int` | `getUniqueId()` |
    `CDStatement` | `invoke()` | Gets the code to invoke this action.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getCodeFragment

          public java.lang.String getCodeFragment()

    - #### invoke

          public CDStatement invoke()

      Gets the code to invoke this action.

    - #### getUniqueId

          public int getUniqueId()